Log4j Version 1.2.7: Class Loader

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Log4j 1.2.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.log4j.helpers
Class Loader

    java.lang.Object
      |
      +--org.apache.log4j.helpers.Loader

public class Loader
extends Object

Load resources (or images) from various sources.

Author:
  Ceki Gülcü

Constructor Summary
`Loader()`

Method Summary
`static URL` | `getResource(String resource)` This method will search for `resource` in different places.
`static boolean` | `isJava1()` Are we running under JDK 1.x?
`static Class` | `loadClass(String clazz)` If running under JDK 1.2 load the specified class using the `Thread` `contextClassLoader` if that fails try Class.forname.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Loader

    public Loader()

Method Detail

### getResource

    public static URL getResource(String resource)

  This method will search for `resource` in different places. The rearch order is as follows:

  1. Search for `resource` using the thread context class loader under Java2. If that fails, search for `resource` using the class loader that loaded this class (`Loader`). Under JDK 1.1, only the the class loader that loaded this class (`Loader`) is used.

  2. Try one last time with `ClassLoader.getSystemResource(resource)`, that is is using the system class loader in JDK 1.2 and virtual machine's built-in class loader in JDK 1.1.

### isJava1

    public static boolean isJava1()

  Are we running under JDK 1.x?

### loadClass

    public static Class loadClass(String clazz)
                           throws ClassNotFoundException

  If running under JDK 1.2 load the specified class using the `Thread` `contextClassLoader` if that fails try Class.forname. Under JDK 1.1 only Class.forName is used.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Log4j 1.2.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2000-2002 Apache Software Foundation.